Bug 1079400 - 389-ds upgrade to 1.3.4 breaks existing LDAP setups
389-ds upgrade to 1.3.4 breaks existing LDAP setups
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: William Brown
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-05 16:50 UTC by Luca Beltrame
Modified: 2020-04-17 01:02 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Beltrame 2018-02-05 16:50:30 UTC
I used to have a working LDAP setup with 389-ds and Tumbleweed, but once 1.3.4 hit the distribution the server refuses to start:

- /etc/dirsrv/slapd-palver/dse.ldif[04/Feb/2018:20:41:46.884975571 +0100] - ERR - slapd_bootstrap_config - The default password storage scheme could not be read or was not found in the file /etc/dirsrv/slapd-palver/dse.ldif. It is mandatory.

There were no changes in dse.ldif across version upgrades. Did anything change with regards to configuration (note: I wasn't able to find anything relevant in the 389-ds documentation)?
Comment 1 Andreas Stieger 2020-04-16 21:02:20 UTC
Moving some older 389-ds bugs to currently active maintainer.
Reporter, please indicate whether this still occurs with the current Factory version.
Comment 2 Luca Beltrame 2020-04-16 21:37:12 UTC
I had to redo the whole setup from scratch due to this issue, so I have no idea if it is applicable or not anymore. Luckily there weren't that many users.
Comment 3 William Brown 2020-04-17 01:02:35 UTC
Hi Luca,

The current packages are all on the 1.4.x series, and should all be working and better maintained. 1.3.4 is quite old now :) 

So I'm going to close this since it does not apply any more, but if you do have any issues please feel free to raise a new issue or contact me so it can be resolved.

Thanks!